### Signal

# Gdk FrameClock::paint

#### Declaration

    void
    paint (
      GdkFrameClock* self,
      gpointer user_data
    )

#### Description [src]

Emitted as the third step of toolkit and application processing of the frame.

The frame is repainted. GDK normally handles this internally and emits `GdkSurface::render` signals which are turned into GtkWidget::snapshot signals by GTK.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.